DECLARE @idoc int
DECLARE @doc varchar(1000)

SELECT @doc = '
	<ROOT>
	   <CUSTOMERS CUSTOMER_ID="ENGN" COMPANY_NAME="engn Limited" ADDRESS="Technology Park, Antrim">
	      <ORDERS ORDER_DATE="2000-01-02T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Antrim BC"/>
	      <ORDERS ORDER_DATE="2000-02-15T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Cookstown BC"/>
	   </CUSTOMERS>
	   <CUSTOMERS CUSTOMER_ID="TASK01" COMPANY_NAME="Task Software Limited" ADDRESS="Technology Park, Antrim">
	      <ORDERS ORDER_DATE="2000-01-01T00:00:00" SHIP_NAME="A2B Shipping" SHIP_ADDRESS="Technology Park, Belfast Road, Antrim"/>
	      <ORDERS ORDER_DATE="2000-02-01T00:00:00" SHIP_NAME="XYZ Shipping" SHIP_ADDRESS="Ballymena BC"/>
	   </CUSTOMERS>
	</ROOT>'

-- Create an internal representation of the XML document.
EXEC sp_xml_preparedocument @idoc OUTPUT, @doc

-- Execute a SELECT statement using OPENXML rowset provider.
SELECT *
FROM OPENXML (@idoc, '/ROOT/CUSTOMERS/ORDERS', 1)
      WITH (CUSTOMER_ID  varchar(10) '../@CUSTOMER_ID',
            COMPANY_NAME varchar(50) '../@COMPANY_NAME',
						ADDRESS varchar(50) '../@ADDRESS',
						ORDER_DATE datetime,
						SHIP_NAME varchar(50),
						SHIP_ADDRESS varchar(50))

-- Cleanup
EXEC sp_xml_removedocument @idoc
